export declare abstract class PitayaView
{
	public static activeInstance: PitayaView;
	public enableScrolling: boolean;

	public navigate( route: string, options?: any ): boolean;

	public navigateToRoute( route: string, params?: object, options?: any ): boolean;

	public navigateBack();

	public scrollTo( target: number | HTMLElement, offset?: number );
}

export declare function scrollTo( target: number | HTMLElement, offset?: number ): void;

export declare function enableScrolling( enable: boolean ): void;